Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class ServiceMetaData

    java.lang.Object
      org.wso2.wsas.admin.service.util.ServiceMetaData

All Implemented Interfaces:
  java.io.Serializable

    public class ServiceMetaData

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ServiceMetaData()`

Method Summary
`double` | `getAvgResponseTime()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getEnableMTOM()` enable MTOM
`java.lang.String[]` | `getEprs()`
`long` | `getMaxResponseTime()`
`long` | `getMinResponseTime()`
`java.lang.String` | `getName()`
`java.lang.String[]` | `getOperations()`
`java.lang.String` | `getScope()`
`long` | `getServiceFaultCount()`
`java.lang.String` | `getServiceGroupName()`
`java.lang.String` | `getServiceId()`
`long` | `getServiceRequestCount()`
`long` | `getServiceResponseCount()`
`java.lang.String` | `getServiceType()`
`java.lang.String` | `getServiceVersion()`
`boolean` | `isActive()`
`boolean` | `isFoundWebResources()`
`void` | `setActive(boolean active)`
`void` | `setAvgResponseTime(double avgResponseTime)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEnableMTOM(java.lang.String enableMTOM)`
`void` | `setEprs(java.lang.String[] eprs)`
`void` | `setFoundWebResources(boolean foundWebResources)`
`void` | `setMaxResponseTime(long maxResponseTime)`
`void` | `setMinResponseTime(long minResponseTime)`
`void` | `setName(java.lang.String name)`
`void` | `setOperations(java.lang.String[] operations)`
`void` | `setScope(java.lang.String scope)`
`void` | `setServiceFaultCount(long serviceFaultCount)`
`void` | `setServiceGroupName(java.lang.String serviceGroupName)`
`void` | `setServiceId(java.lang.String serviceId)`
`void` | `setServiceRequestCount(long serviceRequestCount)`
`void` | `setServiceResponseCount(long serviceResponseCount)`
`void` | `setServiceType(java.lang.String serviceType)`
`void` | `setServiceVersion(java.lang.String serviceVersion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceMetaData

    public ServiceMetaData()

Method Detail

### getEprs

    public java.lang.String[] getEprs()

### setEprs

    public void setEprs(java.lang.String[] eprs)

### getServiceId

    public java.lang.String getServiceId()

### setServiceId

    public void setServiceId(java.lang.String serviceId)

### getServiceVersion

    public java.lang.String getServiceVersion()

### setServiceVersion

    public void setServiceVersion(java.lang.String serviceVersion)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### isActive

    public boolean isActive()

### setActive

    public void setActive(boolean active)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getOperations

    public java.lang.String[] getOperations()

### setOperations

    public void setOperations(java.lang.String[] operations)

### getServiceRequestCount

    public long getServiceRequestCount()

### setServiceRequestCount

    public void setServiceRequestCount(long serviceRequestCount)

### getServiceResponseCount

    public long getServiceResponseCount()

### setServiceResponseCount

    public void setServiceResponseCount(long serviceResponseCount)

### getServiceFaultCount

    public long getServiceFaultCount()

### setServiceFaultCount

    public void setServiceFaultCount(long serviceFaultCount)

### getMaxResponseTime

    public long getMaxResponseTime()

### setMaxResponseTime

    public void setMaxResponseTime(long maxResponseTime)

### getMinResponseTime

    public long getMinResponseTime()

### setMinResponseTime

    public void setMinResponseTime(long minResponseTime)

### getAvgResponseTime

    public double getAvgResponseTime()

### setAvgResponseTime

    public void setAvgResponseTime(double avgResponseTime)

### isFoundWebResources

    public boolean isFoundWebResources()

### setFoundWebResources

    public void setFoundWebResources(boolean foundWebResources)

### getServiceType

    public java.lang.String getServiceType()

### setServiceType

    public void setServiceType(java.lang.String serviceType)

### getScope

    public java.lang.String getScope()

### setScope

    public void setScope(java.lang.String scope)

### getServiceGroupName

    public java.lang.String getServiceGroupName()

### setServiceGroupName

    public void setServiceGroupName(java.lang.String serviceGroupName)

### getEnableMTOM

    public java.lang.String getEnableMTOM()

  enable MTOM

  Returns:
    boolean

### setEnableMTOM

    public void setEnableMTOM(java.lang.String enableMTOM)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD